*--
*-- CSC32.CC
*--
*-- For Version 7.1 of CSC
*--

#define CSC_SET_CONNECT_WAIT       1
#define CSC_SET_SLEEP_TIME         2
#define CSC_SET_CLOSE_LINGER       3
#define CSC_SET_WRITE_BUFSIZE      4
#define CSC_SET_BLOCKING_MODE      5
#define CSC_SET_LOG_FILE           6
#define CSC_SET_FILE_PATH          7
#define CSC_SET_DEBUG_LEVEL        8
#define CSC_SET_BUFFER_SIZE        9
#define CSC_SET_TIMEOUT_VALUE     10
#define CSC_SET_TCP_NODELAY       11
#define CSC_SET_LINGER            12
#define CSC_SET_STOP_BYTE         13
#define CSC_SET_FILE_APPEND       14
#define CSC_SET_FILE_OVERWRITE    15
#define CSC_SET_DELAY_TIME        16
#define CSC_SET_MAX_PACKET_SIZE   17
#define CSC_SET_CLOSE_TIMEOUT     18
#define CSC_SET_SOCK_REUSE        19
#define CSC_GET_ERROR_TEXT        20
#define CSC_GET_COUNTER           21
#define CSC_GET_SOCK_ERROR        22
#define CSC_GET_SOCKET            23
#define CSC_GET_CONNECT_STATUS    24
#define CSC_GET_REGISTRATION      25
#define CSC_GET_LOCAL_IP          26
#define CSC_GET_REMOTE_IP         27
#define CSC_GET_VERSION           28
#define CSC_GET_BUILD             29
#define CSC_GET_FILE_NAME         30
#define CSC_GET_FILE_LENGTH       31
#define CSC_GET_REMOTE_SERVER_IP  32
#define CSC_GET_REMOTE_CLIENT_IP  33
#define CSC_GET_COMPUTER_NAME     34
#define CSC_GET_BUFFER_SIZE       35
#define CSC_GET_DAYS_LEFT         36
#define CSC_GET_MAX_PACKET_SIZE   37
#define CSC_GET_MAX_UDP_SIZE      38

#define CSC_WRITE_TO_LOG          50

#define CSC_SET_PAD_TX_INDEX      61
#define CSC_SET_PAD_RX_INDEX      62

#define CSC_NO_ERROR              1
#define CSC_EOF                  -1
#define CSC_ABORTED              -2
#define CSC_ACCEPT_ERROR         -3
#define CSC_ALREADY_ATTACHED     -4
#define CSC_CANNOT_COMPLY        -5
#define CSC_NO_SUCH_SOCKET       -6
#define CSC_CONNECT_ERROR        -7
#define CSC_LISTEN_ERROR         -8
#define CSC_NO_SUCH_HOST         -9
#define CSC_NOT_ATTACHED         -10
#define CSC_NULL_ARGUMENT        -11
#define CSC_NULL_POINTER         -12
#define CSC_CANNOT_ALLOCATE      -13
#define CSC_BUFFER_SIZE_ERROR    -14
#define CSC_CRC_ERROR            -15
#define CSC_TOO_MANY_SOCKETS     -16
#define CSC_NO_FREE_SOCKETS      -17
#define CSC_NO_SUCH_FILE         -18
#define CSC_FILE_FORMAT_ERROR    -19
#define CSC_FILE_NAME_ONLY       -20
#define CSC_PACKET_TIMEOUT       -21
#define CSC_PACKET_ERROR         -22
#define CSC_XFER_CANCELLED       -23
#define CSC_FILE_TOO_LARGE       -24
#define CSC_NO_LISTEN_SOCK       -25
#define CSC_ARGUMENT_RANGE       -26
#define CSC_DATA_SIZE            -27
#define CSC_CONNECT_TIMEOUT      -28
#define CSC_PACKET_SIZE          -29
#define CSC_CANNOT_RESOLVE       -30

#define CSC_BAD_KEY_CODE         -74
#define CSC_BAD_OFFSET           -75

#define CSC_EXPIRED         (-104)
#define CSC_KEYCODE         (-108)

#define CSC_DEBUG_OFF            0
#define CSC_DEBUG_LOW            1
#define CSC_DEBUG_HIGH           2

extern CLONG cscAcceptConnect(CLONG) CSC32.DLL
extern CLONG cscAttach(CLONG,CLONG,CLONG) CSC32.DLL
extern CLONG cscAwaitConnect(CLONG,CLONG) CSC32.DLL
extern CLONG cscAwaitData(CLONG,CLONG) CSC32.DLL
extern CLONG cscByteToShort(CSTRING) CSC32.DLL
extern CLONG cscChallenge(CSTRING) CSC32.DLL
extern CLONG cscClient(CSTRING,CLONG) CSC32.DLL
extern CLONG cscClientExt(CSTRING,CLONG,CSTRING) CSC32.DLL
extern CLONG cscClose(CLONG) CSC32.DLL
extern CLONG cscConnectMessage(CLONG,CLONG,CLONG) CSC32.DLL
extern CLONG cscCreateUDP(CLONG,CSTRING) CSC32.DLL
extern CLONG cscCryptoGetData(CLONG,CSTRING,CLONG,CSTRING,CLONG) CSC32.DLL
extern CLONG cscCryptoGetFile(CLONG,CSTRING,CSTRING,CLONG) CSC32.DLL
extern CLONG cscCryptoGetFileExt(CLONG,CLONG,CSTRING,CLONG) CSC32.DLL
extern CLONG cscCryptoGetPacket(CLONG,CSTRING,CSTRING,CLONG) CSC32.DLL
extern CLONG cscCryptoPutData(CLONG,CSTRING,CLONG,CSTRING,CLONG) CSC32.DLL
extern CLONG cscCryptoPutFile(CLONG,CSTRING,CSTRING,CLONG) CSC32.DLL
extern CLONG cscCryptoPutFileExt(CLONG,CSTRING,CSTRING,CLONG) CSC32.DLL
extern CLONG cscCryptoPutPacket(CLONG,CSTRING,CLONG,CSTRING,CLONG) CSC32.DLL
extern CLONG cscDataCRC(CLONG,CSTRING,CLONG) CSC32.DLL
extern CLONG cscDataMessage(CLONG,CLONG,CLONG) CSC32.DLL
extern CLONG cscErrorText(CLONG,CSTRING,CLONG) CSC32.DLL
extern CLONG cscFileCRC(CSTRING) CSC32.DLL
extern CLONG cscFileLength(CSTRING) CSC32.DLL
extern CLONG cscFillRandom(CSTRING,CLONG,CLONG) CSC32.DLL
extern CLONG cscGetData(CLONG,CSTRING,CLONG) CSC32.DLL
extern CLONG cscGetFile(CLONG,CSTRING) CSC32.DLL
extern CLONG cscGetFileExt(CLONG,CLONG) CSC32.DLL
extern CLONG cscGetInteger(CLONG,CLONG) CSC32.DLL
extern CLONG cscGetPacket(CLONG,CSTRING,CLONG) CSC32.DLL
extern CLONG cscGetString(CLONG,CLONG,CSTRING,CLONG) CSC32.DLL
extern CLONG cscGetUDP (CLONG,CSTRING,CLONG,CSTRING) CSC32.DLL
extern CLONG cscIsConnected(CLONG) CSC32.DLL
extern CLONG cscLaunch(CSTRING,CSTRING) CSC32.DLL
extern CLONG cscMakeDotted(CLONG,CSTRING,CLONG) CSC32.DLL
extern CLONG cscMakeDotted4(CLONG,CLONG,CLONG,CLONG,CSTRING,CLONG) CSC32.DLL
extern CLONG cscMulticast(CLONG,CLONG) CSC32.DLL
extern CLONG cscNetToHost16(CLONG) CSC32.DLL
extern CLONG cscNetToHost32(CLONG) CSC32.DLL
extern CLONG cscPutData(CLONG,CSTRING,CLONG) CSC32.DLL
extern CLONG cscPutFile(CLONG,CSTRING) CSC32.DLL
extern CLONG cscPutFileExt(CLONG,CSTRING) CSC32.DLL
extern CLONG cscPutPacket(CLONG,CSTRING,CLONG) CSC32.DLL
extern CLONG cscPutUDP(CLONG,CSTRING,CLONG,CLONG,CLONG) CSC32.DLL
extern CLONG cscReadSize(CLONG) CSC32.DLL
extern CLONG cscRelease(CVOID) CSC32.DLL
extern CLONG cscResolve(CSTRING,CLONG) CSC32.DLL
extern CLONG cscResponse(CSTRING,CLONG,CLONG,CLONG,CSTRING) CSC32.DLL
extern CLONG cscServer(CSTRING,CLONG,CLONG) CSC32.DLL
extern CLONG cscSetInteger(CLONG,CLONG,CLONG) CSC32.DLL
extern CLONG cscSetString(CLONG,CLONG,CSTRING) CSC32.DLL
extern CLONG cscShortToByte(CSTRING) CSC32.DLL
extern CLONG cscSleep(CLONG) CSC32.DLL
extern CLONG cscSystemTics(CVOID) CSC32.DLL
extern CLONG cscTestDotted(CSTRING) CSC32.DLL
